Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class KodoDataCacheManager

    java.lang.Object
      kodo.datacache.KodoDataCacheManager

All Implemented Interfaces:
  org.apache.openjpa.datacache.DataCacheManager

    public class KodoDataCacheManager

extends Object
implements org.apache.openjpa.datacache.DataCacheManager

Kodo extensions to the data cache manager

Since:
  4.1

Constructor Summary
`KodoDataCacheManager()`

Method Summary
`void` | `close()`
`org.apache.openjpa.datacache.DataCache` | `getDataCache(String name)`
`org.apache.openjpa.datacache.DataCache` | `getDataCache(String name, boolean create)`
`String[]` | `getDataCacheNames()` Return a list of the names of all datacaches created so far.
`org.apache.openjpa.datacache.DataCacheScheduler` | `getDataCacheScheduler()`
`org.apache.openjpa.datacache.DataCache` | `getDefaultDataCache()` Return the default cache.
`org.apache.openjpa.datacache.DataCachePCDataGenerator` | `getPCDataGenerator()`
`org.apache.openjpa.datacache.DataCache` | `getSystemDataCache()`
`org.apache.openjpa.datacache.QueryCache` | `getSystemQueryCache()`
`void` | `initialize(org.apache.openjpa.conf.OpenJPAConfiguration conf, org.apache.openjpa.lib.conf.ObjectValue dataCache, org.apache.openjpa.lib.conf.ObjectValue queryCache)`
`int` | `size()` Return the number of caches currently in the system

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KodoDataCacheManager

    public KodoDataCacheManager()

Method Detail

### initialize

    public void initialize(org.apache.openjpa.conf.OpenJPAConfiguration conf,
                           org.apache.openjpa.lib.conf.ObjectValue dataCache,
                           org.apache.openjpa.lib.conf.ObjectValue queryCache)

  Specified by:
    `initialize` in interface `org.apache.openjpa.datacache.DataCacheManager`

### size

    public int size()

  Return the number of caches currently in the system

### getDataCacheNames

    public String[] getDataCacheNames()

  Return a list of the names of all datacaches created so far.

### getDefaultDataCache

    public org.apache.openjpa.datacache.DataCache getDefaultDataCache()

  Return the default cache.

### getSystemDataCache

    public org.apache.openjpa.datacache.DataCache getSystemDataCache()

  Specified by:
    `getSystemDataCache` in interface `org.apache.openjpa.datacache.DataCacheManager`

### getDataCache

    public org.apache.openjpa.datacache.DataCache getDataCache(String name)

  Specified by:
    `getDataCache` in interface `org.apache.openjpa.datacache.DataCacheManager`

### getDataCache

    public org.apache.openjpa.datacache.DataCache getDataCache(String name,
                                                               boolean create)

  Specified by:
    `getDataCache` in interface `org.apache.openjpa.datacache.DataCacheManager`

### getSystemQueryCache

    public org.apache.openjpa.datacache.QueryCache getSystemQueryCache()

  Specified by:
    `getSystemQueryCache` in interface `org.apache.openjpa.datacache.DataCacheManager`

### getPCDataGenerator

    public org.apache.openjpa.datacache.DataCachePCDataGenerator getPCDataGenerator()

  Specified by:
    `getPCDataGenerator` in interface `org.apache.openjpa.datacache.DataCacheManager`

### getDataCacheScheduler

    public org.apache.openjpa.datacache.DataCacheScheduler getDataCacheScheduler()

  Specified by:
    `getDataCacheScheduler` in interface `org.apache.openjpa.datacache.DataCacheManager`

### close

    public void close()

  Specified by:
    `close` in interface `org.apache.openjpa.datacache.DataCacheManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.